package com.trade.admin;

import com.trade.admin.tradingplatform.service.TradingPlatformService;
import com.trade.service.tradingplatform.domain.TradingPlatform;
import com.trade.service.tradingplatform.dto.TradingPlatformDto;
import com.trade.service.tradingplatform.service.TradingPlatformBaseService;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

import javax.annotation.Resource;
import java.util.List;

@SpringBootTest
class TradingPlatformTests {

    @Resource
    private TradingPlatformService tradingPlatformService;
    @Resource
    private TradingPlatformBaseService tradingPlatformBaseService;

    @Test
    void select() {
        TradingPlatformDto tradingPlatformDto1 = tradingPlatformService.queryById(2L);
        TradingPlatformDto tradingPlatformDto2 = tradingPlatformBaseService.findDetailInfoById(2L);
        List<TradingPlatform> pages = tradingPlatformService.getList();
        System.out.println(tradingPlatformDto1);
        System.out.println(tradingPlatformDto2);
        System.out.println(pages);
    }
}
